package com.mobvista.apptag.service;

import com.mobvista.apptag.entity.ECTag;
import com.mobvista.apptag.entity.Tag;
import com.mobvista.apptag.utils.Query;

import java.util.List;

/**
 * @author wangjf
 */
public interface ECTagService {

    boolean update(String urlMd5, String userName);

    ECTag find(String urlMd5);

    List<ECTag> list(String userId, Query query);

    int count(String userId, Query query);
}